Bug 205846 - [EXP-RUN] CentOS 6.7 userland for exp-run
Summary: [EXP-RUN] CentOS 6.7 userland for exp-run
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://reviews.freebsd.org/D3428
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-03 17:30 UTC by Martin Wilke
Modified: 2016-02-22 11:05 UTC (History)
2 users (show)

See Also:
koobs: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke freebsd_committer 2016-01-03 17:30:17 UTC
Hi,

Another try;

Linux ports framework/userland (both 32bit and 64bit variants) to CentOS 6.7.

Please test this once without, and once with,

the following addition to /etc/make.conf:

OVERRIDE_LINUX_BASE_PORT=c6_64
OVERRIDE_LINUX_NONBASE_PORTS=c6_64

Thanks
Comment 1 Antoine Brodin freebsd_committer 2016-01-04 09:57:12 UTC
The patch in the review doesn't apply.
Comment 2 Martin Wilke freebsd_committer 2016-01-04 16:33:35 UTC
Hi Antoine,

Please hold this back for a few days, as you know I hit a werid bug today with x11-toolkits/linux-c6-qt47-x11. I will try to get it fixed quick as possible.

Thanks
Comment 4 Martin Wilke freebsd_committer 2016-01-12 16:07:44 UTC
Quick update: We spent quite some time on the qt47-x11 issue, but we have not identified a permanent solution yet. We've asked Gnome developers for help on the following thread:

https://lists.freebsd.org/pipermail/freebsd-gnome/2016-January/033483.html

Note: This issue is not a regression of the CentOS 6.77 update, it is also reproducible with the current version in ports. 

Thanks Martin
Comment 5 Martin Wilke freebsd_committer 2016-01-27 12:47:30 UTC
I have updated the patch, please start a new exp-run.

Thanks.
Comment 6 Antoine Brodin freebsd_committer 2016-01-30 13:26:50 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2016-01-30 18:31:02 UTC
A commit references this bug:

Author: miwi
Date: Sat Jan 30 18:30:47 UTC 2016
New revision: 407537
URL: https://svnweb.freebsd.org/changeset/ports/407537

Log:
  Welcome Centos 6.7

  - Upgrade all linux-c6- to CentOS 6.7
  - Cleanups

  PR:                     205846
  Submitted by:           xmj
  In Collaboration with:  allanjude, netchild, xmj
  Exp-run:                antoine
  Sponsored by:           Perceivon Hosting Inc.
  Differential Revision:  D3428

  We'd like to thanks for all the feedback and comments.

Changes:
  head/MOVED
  head/Mk/bsd.linux-apps.mk
  head/Mk/bsd.linux-rpm.mk
  head/Mk/bsd.port.mk
  head/accessibility/linux-c6-atk/Makefile
  head/accessibility/linux-c6-atk/distinfo.i686
  head/accessibility/linux-c6-atk/distinfo.x86_64
  head/audio/Makefile
  head/audio/linux-c6-alsa-lib/Makefile
  head/audio/linux-c6-alsa-lib/distinfo.i686
  head/audio/linux-c6-alsa-lib/distinfo.x86_64
  head/audio/linux-c6-alsa-plugins-oss/Makefile
  head/audio/linux-c6-alsa-plugins-oss/distinfo.i686
  head/audio/linux-c6-alsa-plugins-oss/distinfo.x86_64
  head/audio/linux-c6-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c6-alsa-plugins-pulseaudio/distinfo.i686
  head/audio/linux-c6-alsa-plugins-pulseaudio/distinfo.x86_64
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-alsa-utils/distinfo.i686
  head/audio/linux-c6-alsa-utils/distinfo.x86_64
  head/audio/linux-c6-arts/distinfo.i686
  head/audio/linux-c6-arts/distinfo.x86_64
  head/audio/linux-c6-esound/distinfo.i686
  head/audio/linux-c6-esound/distinfo.x86_64
  head/audio/linux-c6-flac/Makefile
  head/audio/linux-c6-flac/distinfo.i686
  head/audio/linux-c6-flac/distinfo.x86_64
  head/audio/linux-c6-libaudiofile/distinfo.i686
  head/audio/linux-c6-libaudiofile/distinfo.x86_64
  head/audio/linux-c6-libogg/distinfo.i686
  head/audio/linux-c6-libogg/distinfo.x86_64
  head/audio/linux-c6-libsndfile/distinfo.i686
  head/audio/linux-c6-libsndfile/distinfo.x86_64
  head/audio/linux-c6-libvorbis/distinfo.i686
  head/audio/linux-c6-libvorbis/distinfo.x86_64
  head/audio/linux-c6-mikmod/distinfo.i686
  head/audio/linux-c6-mikmod/distinfo.x86_64
  head/audio/linux-c6-nas-libs/distinfo.i386
  head/audio/linux-c6-nas-libs/distinfo.i686
  head/audio/linux-c6-nas-libs/distinfo.x86_64
  head/audio/linux-c6-openal-soft/distinfo.i686
  head/audio/linux-c6-openal-soft/distinfo.x86_64
  head/audio/linux-c6-pulseaudio-libs/Makefile
  head/audio/linux-c6-pulseaudio-libs/distinfo.i686
  head/audio/linux-c6-pulseaudio-libs/distinfo.x86_64
  head/audio/linux-c6-pulseaudio-libs/pkg-plist.i686
  head/audio/linux-c6-pulseaudio-libs/pkg-plist.x86_64
  head/audio/linux-c6-pulseaudio-libs-glib2/
  head/audio/linux-c6-pulseaudio-utils/Makefile
  head/audio/linux-c6-pulseaudio-utils/distinfo.i686
  head/audio/linux-c6-pulseaudio-utils/distinfo.x86_64
  head/audio/linux-c6-sdl_mixer/distinfo.i686
  head/audio/linux-c6-sdl_mixer/distinfo.x86_64
  head/comms/kvasd/Makefile
  head/databases/linux-c6-sqlite3/Makefile
  head/databases/linux-c6-sqlite3/distinfo.i686
  head/databases/linux-c6-sqlite3/distinfo.x86_64
  head/devel/linux-c6-dbus-glib/distinfo.i686
  head/devel/linux-c6-dbus-glib/distinfo.x86_64
  head/devel/linux-c6-dbus-libs/Makefile
  head/devel/linux-c6-dbus-libs/distinfo.i686
  head/devel/linux-c6-dbus-libs/distinfo.x86_64
  head/devel/linux-c6-devtools/Makefile
  head/devel/linux-c6-devtools/distinfo.i686
  head/devel/linux-c6-devtools/distinfo.x86_64
  head/devel/linux-c6-devtools/pkg-plist.i686
  head/devel/linux-c6-devtools/pkg-plist.x86_64
  head/devel/linux-c6-libgfortran/Makefile
  head/devel/linux-c6-libgfortran/distinfo.i686
  head/devel/linux-c6-libgfortran/distinfo.x86_64
  head/devel/linux-c6-libglade2/distinfo.i686
  head/devel/linux-c6-libglade2/distinfo.x86_64
  head/devel/linux-c6-libpciaccess/distinfo.i686
  head/devel/linux-c6-libpciaccess/distinfo.x86_64
  head/devel/linux-c6-libsigc++20/distinfo.i686
  head/devel/linux-c6-libsigc++20/distinfo.x86_64
  head/devel/linux-c6-ncurses-base/Makefile
  head/devel/linux-c6-ncurses-base/distinfo.i686
  head/devel/linux-c6-ncurses-base/distinfo.x86_64
  head/devel/linux-c6-nspr/Makefile
  head/devel/linux-c6-nspr/distinfo.i686
  head/devel/linux-c6-nspr/distinfo.x86_64
  head/devel/linux-c6-sdl12/Makefile
  head/devel/linux-c6-sdl12/distinfo.i686
  head/devel/linux-c6-sdl12/distinfo.x86_64
  head/dns/linux-c6-libasyncns/distinfo.i686
  head/dns/linux-c6-libasyncns/distinfo.x86_64
  head/emulators/linux-c6/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/distinfo.i686
  head/emulators/linux_base-c6/distinfo.x86_64
  head/emulators/linux_base-c6/pkg-plist.i686
  head/emulators/linux_base-c6/pkg-plist.x86_64
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-c6-curl/distinfo.i686
  head/ftp/linux-c6-curl/distinfo.x86_64
  head/graphics/linux-c6-cairo/Makefile
  head/graphics/linux-c6-cairo/distinfo.i686
  head/graphics/linux-c6-cairo/distinfo.x86_64
  head/graphics/linux-c6-dri/Makefile
  head/graphics/linux-c6-dri/distinfo.i686
  head/graphics/linux-c6-dri/distinfo.x86_64
  head/graphics/linux-c6-dri/pkg-plist.i686
  head/graphics/linux-c6-dri/pkg-plist.x86_64
  head/graphics/linux-c6-dri-compat/distinfo.i686
  head/graphics/linux-c6-dri-compat/distinfo.x86_64
  head/graphics/linux-c6-gdk-pixbuf2/Makefile
  head/graphics/linux-c6-gdk-pixbuf2/distinfo.i686
  head/graphics/linux-c6-gdk-pixbuf2/distinfo.x86_64
  head/graphics/linux-c6-glx-utils/Makefile
  head/graphics/linux-c6-glx-utils/distinfo.i686
  head/graphics/linux-c6-glx-utils/distinfo.x86_64
  head/graphics/linux-c6-jpeg/distinfo.i686
  head/graphics/linux-c6-jpeg/distinfo.x86_64
  head/graphics/linux-c6-libGLU/Makefile
  head/graphics/linux-c6-libGLU/distinfo.i686
  head/graphics/linux-c6-libGLU/distinfo.x86_64
  head/graphics/linux-c6-png/distinfo.i686
  head/graphics/linux-c6-png/distinfo.x86_64
  head/graphics/linux-c6-sdl_image/distinfo.i686
  head/graphics/linux-c6-sdl_image/distinfo.x86_64
  head/graphics/linux-c6-sdl_ttf/distinfo.i686
  head/graphics/linux-c6-sdl_ttf/distinfo.x86_64
  head/graphics/linux-c6-tiff/distinfo.i686
  head/graphics/linux-c6-tiff/distinfo.x86_64
  head/lang/linux-c6-tcl85/distinfo.i686
  head/lang/linux-c6-tcl85/distinfo.x86_64
  head/multimedia/linux-c6-libtheora/distinfo.i686
  head/multimedia/linux-c6-libtheora/distinfo.x86_64
  head/multimedia/linux-c6-libv4l/distinfo.i686
  head/multimedia/linux-c6-libv4l/distinfo.x86_64
  head/net/linux-c6-avahi-libs/distinfo.i686
  head/net/linux-c6-avahi-libs/distinfo.x86_64
  head/net/linux-c6-openldap/Makefile
  head/net/linux-c6-openldap/distinfo.i686
  head/net/linux-c6-openldap/distinfo.x86_64
  head/net/linux-c6-openldap/pkg-plist.i686
  head/net/linux-c6-openldap/pkg-plist.x86_64
  head/net/linux-c6-tcp_wrappers-libs/distinfo.i686
  head/net/linux-c6-tcp_wrappers-libs/distinfo.x86_64
  head/net-im/skype4/Makefile
  head/print/linux-c6-cups-libs/Makefile
  head/print/linux-c6-cups-libs/distinfo.i686
  head/print/linux-c6-cups-libs/distinfo.x86_64
  head/security/linux-c6-cyrus-sasl2/Makefile
  head/security/linux-c6-cyrus-sasl2/distinfo.i686
  head/security/linux-c6-cyrus-sasl2/distinfo.x86_64
  head/security/linux-c6-gnutls/Makefile
  head/security/linux-c6-gnutls/distinfo.i686
  head/security/linux-c6-gnutls/distinfo.x86_64
  head/security/linux-c6-libgcrypt/distinfo.i686
  head/security/linux-c6-libgcrypt/distinfo.x86_64
  head/security/linux-c6-libgpg-error/distinfo.i686
  head/security/linux-c6-libgpg-error/distinfo.x86_64
  head/security/linux-c6-libssh2/Makefile
  head/security/linux-c6-libssh2/distinfo.i686
  head/security/linux-c6-libssh2/distinfo.x86_64
  head/security/linux-c6-libtasn1/distinfo.i686
  head/security/linux-c6-libtasn1/distinfo.x86_64
  head/security/linux-c6-nss/Makefile
  head/security/linux-c6-nss/distinfo.i686
  head/security/linux-c6-nss/distinfo.x86_64
  head/security/linux-c6-nss/pkg-plist.x86_64
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c6-openssl/distinfo.i686
  head/security/linux-c6-openssl/distinfo.x86_64
  head/security/linux-c6-openssl-compat/distinfo.i686
  head/security/linux-c6-openssl-compat/distinfo.x86_64
  head/textproc/linux-c6-aspell/distinfo.i686
  head/textproc/linux-c6-aspell/distinfo.x86_64
  head/textproc/linux-c6-expat/distinfo.i686
  head/textproc/linux-c6-expat/distinfo.x86_64
  head/textproc/linux-c6-libxml2/Makefile
  head/textproc/linux-c6-libxml2/distinfo.i686
  head/textproc/linux-c6-libxml2/distinfo.x86_64
  head/www/linux-c6-flashplugin11/Makefile
  head/www/linux-c6-flashplugin11/distinfo.x86_64
  head/www/linux-c6-qt47-webkit/Makefile
  head/www/linux-f10-flashplugin11/Makefile
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-c6-xorg-libs/distinfo.i686
  head/x11/linux-c6-xorg-libs/distinfo.x86_64
  head/x11-fonts/linux-c6-fontconfig/distinfo.i686
  head/x11-fonts/linux-c6-fontconfig/distinfo.x86_64
  head/x11-themes/linux-c6-hicolor-icon-theme/Makefile
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-gtk2/distinfo.i686
  head/x11-toolkits/linux-c6-gtk2/distinfo.x86_64
  head/x11-toolkits/linux-c6-openmotif/distinfo.i686
  head/x11-toolkits/linux-c6-openmotif/distinfo.x86_64
  head/x11-toolkits/linux-c6-pango/distinfo.i686
  head/x11-toolkits/linux-c6-pango/distinfo.x86_64
  head/x11-toolkits/linux-c6-qt47-x11/Makefile
  head/x11-toolkits/linux-c6-tk85/distinfo.i686
  head/x11-toolkits/linux-c6-tk85/distinfo.x86_64